Exchange 2019 has a new list of requirements, I have seen on the forums that people are posting that installations are failing.

Please make sure you read what is required before proceeding.

Exchange 2019 can only be installed on Windows Server 2019, this includes server core, Server versions like 2016 and 2012 R2 are not listed, so ensure you follow the document, this should be updated regularly by Microsoft.

For a full list of requirements, you can head over to the following link:

Hope it helps

Advertisements
Advertisements